#version 330 core

layout (location = 0) out vec4 color;
layout (location = 1) out vec4 BrightColor;

in vec3 fragCol;

void main()
{
    color = vec4(fragCol,1);


	// check whether result is higher than some threshold, if so, output as bloom threshold color    	
	float brightness = dot(color.rgb, vec3(0.2126, 0.7152, 0.0722));
    	if(brightness > 1.0)
        	BrightColor = color;
    	else
       		BrightColor = vec4(0.0, 0.0, 0.0, 1.0);
	
}